Subject: bug#32929: closed (Re: bug#32929: `guix pull` fail)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Oct 2018 20:49:02 +0000

Your bug report

#32929: 'guix pull' fails when the host Guix runs on Guile 2.0

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32929: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32929
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32929: `guix pull` fail
From: [email-masked] (Ludovic Courtès)
To: Michael Bowcutt <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Oct 2018 22:47:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Bowcutt <[email-masked]> skribis:

> On Wed, 2018-10-10 at 15:01 +0200, Ludovic Courtès wrote:

[...]

>> I see.  I believe commit 099bb0175f681e5f68dafb8ad973866f31fe515c
>> fixes
>> the problem.  With this commit, running ‘guix pull’ will always give
>> you, under ~/.config/guix/current, a new Guix running on Guile 2.2.
>> 
>> Could you try running ‘guix pull’ and see if it works now?
>
> I can confirm that I'm no longer running into this issue, `guix pull`
> finished successfully!

Awesome, thank you for testing!

Ludo’.

Subject: `guix pull` fail
From: Michael Bowcutt <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 03 Oct 2018 23:54:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I ran into a bug.

after running `guix pull`:

```
Updating from Git repository at '
https://git.savannah.gnu.org/git/guix.git'...
Building from Git commit 9e783d0bf22a7ff965105eb45f6c179a832bbabf...
guile: warning: failed to install locale
Computing Guix derivation for 'x86_64-linux'... /Backtrace:
           9 (primitive-load "/gnu/store/2m09y8vajsla3zdlk28rcfdi3zq?")
In ice-9/eval.scm:
    155:9  8 (_ _)
    159:9  7 (_ #(#(#(#(#(#(#(#(#(#(#(?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ./guix/store.scm:
  1592:24  6 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
In ./guix/self.scm:
   918:16  5 (_ _)
    492:4  4 (compiled-guix "/gnu/store/91a7if3r1h6x4y9vigzbw6y1rhi?"
?)
In srfi/srfi-1.scm:
   679:15  3 (append-map _ _ . _)
   592:17  2 (map1 (#f #<package [email-masked] gnu/packa?> ?))
In ./guix/self.scm:
   494:31  1 (_ _)
In ./guix/packages.scm:
   743:21  0 (package-transitive-propagated-inputs #f)

./guix/packages.scm:743:21: In procedure package-transitive-propagated-
inputs:
In procedure struct_vtable: Wrong type argument in position 1
(expecting struct): #f
guix pull: error: You found a bug: the program
'/gnu/store/2m09y8vajsla3zdlk28rcfdi3zq7cvzq-compute-guix-derivation'
failed to compute the derivation for Guix (version:
"9e783d0bf22a7ff965105eb45f6c179a832bbabf"; system: "x86_64-linux";
host version: "0.15.0"; pull-version: 1).
Please report it by email to <[email-masked]>.
```